﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.API;
using Savviety.ServiceManager.API.Criteria;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 using Microsoft.EnterpriseManagement.Common.Internal;
using System.Diagnostics;
/*
	Name	 		: System.WorkItem.ChangeRequest.Library	
	Id 				: 6c2bb84d-3c1f-4006-c551-6ef50179e2e3
	Description 	: System Work Item Change Request Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public partial class CreatableChangeRequest : CreatableEnterpriseManagementObject
{

        public CreatableChangeRequest(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableChangeRequest Create() 
        {
            return new CreatableChangeRequest(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.Library	
	Id 				: 405d5590-b45f-1c97-024f-24338290453e
	Description 	: System work item library
*/
namespace Savviety.ServiceManager.API.WorkItem 
{



public partial class CreatableBillableTime : CreatableEnterpriseManagementObject
{

    public CreatableBillableTime(EnterpriseManagementGroup group, ManagementPackClass @class)
        : base(group, @class)
    {

    }

    public static CreatableBillableTime Create() 
        {
            return new CreatableBillableTime(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("6645cdbe-78a3-ab81-7de9-638b733214fe"); 
               
        

}



public partial class CreatableActionLog : CreatableEnterpriseManagementObject
{

        public CreatableActionLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActionLog Create() 
        {
            return new CreatableActionLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("dbb6a632-0a7e-cef8-1fc9-405d5cd4d911"); 
               
        

}



public partial class CreatableAnalystCommentLog : CreatableEnterpriseManagementObject
{

        public CreatableAnalystCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableAnalystCommentLog Create() 
        {
            return new CreatableAnalystCommentLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("f14b70f4-878c-c0e1-b5c1-06ca22d05d40"); 
               
        

}



public partial class CreatableAuditCommentLog : CreatableEnterpriseManagementObject
{

        public CreatableAuditCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableAuditCommentLog Create() 
        {
            return new CreatableAuditCommentLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("c06a4eb0-d21e-1838-0995-ee817b3aac4a"); 
               
        

}



public partial class CreatableSipnotificationLog : CreatableEnterpriseManagementObject
{

        public CreatableSipnotificationLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSipnotificationLog Create() 
        {
            return new CreatableSipnotificationLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("cb08816f-c354-348c-f6d4-74f9de9b5680"); 
               
        

}



public partial class CreatableSmtpnotificationLog : CreatableEnterpriseManagementObject
{

        public CreatableSmtpnotificationLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSmtpnotificationLog Create() 
        {
            return new CreatableSmtpnotificationLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("b4e0d3c5-b138-5f1a-a5cd-2249c3829646"); 
               
        

}



public partial class CreatableUserCommentLog : CreatableEnterpriseManagementObject
{

        public CreatableUserCommentLog(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableUserCommentLog Create() 
        {
            return new CreatableUserCommentLog(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("a3d4e16f-5e8a-18ba-9198-d9815194c986"); 
               
        

}

}
/*
	Name	 		: System.AdminItem.Library	
	Id 				: a87c22c5-8fd4-4252-86e8-b246ab404465
	Description 	: System Administration Item Library
*/
namespace Savviety.ServiceManager.API.AdminItem 
{



public partial class CreatableAnnouncementConfig : CreatableEnterpriseManagementObject
{

        public CreatableAnnouncementConfig(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableAnnouncementConfig Create() 
        {
            return new CreatableAnnouncementConfig(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("0f34b6f1-c047-acc5-aac0-3d5d68e51a19"); 
               
        

}



public partial class CreatableAnnouncementItem : CreatableEnterpriseManagementObject
{

        public CreatableAnnouncementItem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableAnnouncementItem Create() 
        {
            return new CreatableAnnouncementItem(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ef8a786a-5d22-f035-32d7-d0b60d9284ad"); 
               
        

}



public partial class CreatableGroomingconfiguration : CreatableEnterpriseManagementObject
{

        public CreatableGroomingconfiguration(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableGroomingconfiguration Create() 
        {
            return new CreatableGroomingconfiguration(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("03b9465f-17b5-936a-8f5d-5c50e1a75920"); 
               
        

}

}
/*
	Name	 		: System.Library	
	Id 				: 01c8b236-3bce-9dba-6f1c-c119bcdc2972
	Description 	: System Library: Root for all Management Packs.  Contains platform independent definitions.
*/
namespace Savviety.ServiceManager.API.Library 
{



public partial class CreatableBuild : CreatableEnterpriseManagementObject
{

        public CreatableBuild(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableBuild Create() 
        {
            return new CreatableBuild(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("852b2c9b-9b00-5f60-818d-f013896294ae"); 
               
        

}



public partial class CreatableDomainUser : CreatableEnterpriseManagementObject
{

        public CreatableDomainUser(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableDomainUser Create() 
        {
            return new CreatableDomainUser(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("eca3c52a-f273-5cdc-f165-3eb95a2b26cf"); 
               
        

}



public partial class CreatableEnvironment : CreatableEnterpriseManagementObject
{

        public CreatableEnvironment(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableEnvironment Create() 
        {
            return new CreatableEnvironment(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("62d48404-535d-17cc-e01b-d4f45a7998cd"); 
               
        

}



public partial class CreatableExtension : CreatableEnterpriseManagementObject
{

        public CreatableExtension(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableExtension Create() 
        {
            return new CreatableExtension(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("b96d8028-9334-81e6-9ba9-641b20de3c86"); 
               
        

}



public partial class CreatableGenericNetworkAdapter : CreatableEnterpriseManagementObject
{

        public CreatableGenericNetworkAdapter(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableGenericNetworkAdapter Create() 
        {
            return new CreatableGenericNetworkAdapter(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("fd8e6e76-21c2-4d59-80dc-48b6272ae840"); 
               
        

}



public partial class CreatableGeoLocation : CreatableEnterpriseManagementObject
{

        public CreatableGeoLocation(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableGeoLocation Create() 
        {
            return new CreatableGeoLocation(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("a7f774ed-534c-08af-2fbf-54cbe1745388"); 
               
        

}



public partial class CreatableOperatingMobile : CreatableEnterpriseManagementObject
{

        public CreatableOperatingMobile(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableOperatingMobile Create() 
        {
            return new CreatableOperatingMobile(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("df386164-98b0-e299-f10a-351d3c6013b5"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.Incident.Library	
	Id 				: dd26c521-7c2d-58c0-0980-dac2dacb0900
	Description 	: Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class CreatableIncident : CreatableEnterpriseManagementObject
{

        public CreatableIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableIncident Create() 
        {
            return new CreatableIncident(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.Problem.Library	
	Id 				: d93ec150-3906-5404-ee41-1aefaa35518e
	Description 	: System Work Item Problem Library
*/
namespace Savviety.ServiceManager.API.ProblemManagement 
{



public partial class CreatableProblemGeneralSettings : CreatableEnterpriseManagementObject
{

        public CreatableProblemGeneralSettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableProblemGeneralSettings Create() 
        {
            return new CreatableProblemGeneralSettings(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("da0eeac9-9c85-e72b-f321-44a3fcec9c9a"); 
               
        

}



public partial class CreatableProblem : CreatableEnterpriseManagementObject
{

        public CreatableProblem(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableProblem Create() 
        {
            return new CreatableProblem(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("422afc88-5eff-f4c5-f8f6-e01038cde67f"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.ReleaseRecord.Library	
	Id 				: 50ba92b8-f5c7-fa12-4893-0a55df43d7ce
	Description 	: System WorkItem Release Record Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public partial class CreatableReleaseRecord : CreatableEnterpriseManagementObject
{

        public CreatableReleaseRecord(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableReleaseRecord Create() 
        {
            return new CreatableReleaseRecord(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.ServiceRequest.Library	
	Id 				: 32502cfa-1045-b329-899d-bc236d485bc3
	Description 	: System Work Item Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class CreatableServiceRequest : CreatableEnterpriseManagementObject
{

        public CreatableServiceRequest(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceRequest Create() 
        {
            return new CreatableServiceRequest(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("04b69835-6343-4de2-4b19-6be08c612989"); 
               
        

}

}
/*
	Name	 		: System.WorkItem.Activity.Library	
	Id 				: aa265d90-3e2e-b9a2-d929-be0d36f1a53e
	Description 	: System Work Item Activity Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public partial class CreatableReViewer : CreatableEnterpriseManagementObject
{

        public CreatableReViewer(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableReViewer Create() 
        {
            return new CreatableReViewer(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("2f28a9ae-0e94-c895-c087-b222b231dd46"); 
               
        

}



public partial class CreatableActivityDependentActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivityDependentActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityDependentActivity Create() 
        {
            return new CreatableActivityDependentActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("e786e1c7-b1fe-5b8b-ef8f-9e2dc346c44f"); 
               
        

}



public partial class CreatableActivityManualActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivityManualActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityManualActivity Create() 
        {
            return new CreatableActivityManualActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("7ac62bd4-8fce-a150-3b40-16a39a61383d"); 
               
        

}



public partial class CreatableActivityParallelActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivityParallelActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityParallelActivity Create() 
        {
            return new CreatableActivityParallelActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("568c49f2-d7d6-d7d7-89dc-dfb5b39fded7"); 
               
        

}



public partial class CreatableActivityReViewActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivityReViewActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityReViewActivity Create() 
        {
            return new CreatableActivityReViewActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36"); 
               
        

}



public partial class CreatableActivitySequentialActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivitySequentialActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivitySequentialActivity Create() 
        {
            return new CreatableActivitySequentialActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("0ad0812b-f267-52bf-9f11-c56587786791"); 
               
        

}

}
/*
	Name	 		: System.SupportingItem.Library	
	Id 				: 23e3ae8e-1981-8560-2e55-8730cbc04965
	Description 	: System Supporting Item Library
*/
namespace Savviety.ServiceManager.API.SupportingItem 
{



public partial class CreatableFileAttachment : CreatableEnterpriseManagementObject
{

        public CreatableFileAttachment(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableFileAttachment Create() 
        {
            return new CreatableFileAttachment(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0"); 
               
        

}



public partial class CreatableSearchProviderConfig : CreatableEnterpriseManagementObject
{

        public CreatableSearchProviderConfig(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableSearchProviderConfig Create() 
        {
            return new CreatableSearchProviderConfig(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("32b66b6f-1629-c411-394e-fea87a65143c"); 
               
        

}



public partial class CreatableUserPreferenceLocalization : CreatableEnterpriseManagementObject
{

        public CreatableUserPreferenceLocalization(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableUserPreferenceLocalization Create() 
        {
            return new CreatableUserPreferenceLocalization(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("efa8bbd3-3fa4-2f37-d0d5-7a6bf53be7c8"); 
               
        

}

}
/*
	Name	 		: ServiceManager.IncidentManagement.Library	
	Id 				: 7b6d701a-4598-8220-dea8-4ae0504f6f58
	Description 	: Service Manager Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class CreatableMicrosoftCenterDCMIncident : CreatableEnterpriseManagementObject
{

        public CreatableMicrosoftCenterDCMIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoftCenterDCMIncident Create() 
        {
            return new CreatableMicrosoftCenterDCMIncident(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("90234dbf-5fd1-a2c3-b34b-429b163b8060"); 
               
        

}



public partial class CreatableMicrosoftCenterSCOMIncident : CreatableEnterpriseManagementObject
{

        public CreatableMicrosoftCenterSCOMIncident(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableMicrosoftCenterSCOMIncident Create() 
        {
            return new CreatableMicrosoftCenterSCOMIncident(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ac13c801-0f20-83e0-4e8a-344c96516f3d"); 
               
        

}



public partial class CreatableIncidentGeneralSetting : CreatableEnterpriseManagementObject
{

        public CreatableIncidentGeneralSetting(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableIncidentGeneralSetting Create() 
        {
            return new CreatableIncidentGeneralSetting(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("613c9f3e-9b94-1fef-4088-16c33bfd0be1"); 
               
        

}

}
/*
	Name	 		: System.Knowledge.Library	
	Id 				: 0a8001ed-59dc-629c-201f-4643a6a48009
	Description 	: System Knowledge Library
*/
namespace Savviety.ServiceManager.API.Knowledge 
{



public partial class CreatableKnowledgeArticle : CreatableEnterpriseManagementObject
{

        public CreatableKnowledgeArticle(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableKnowledgeArticle Create() 
        {
            return new CreatableKnowledgeArticle(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ca1410d8-6182-1531-092b-d2232f396bb8"); 
               
        

}



public partial class CreatableStarRating : CreatableEnterpriseManagementObject
{

        public CreatableStarRating(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableStarRating Create() 
        {
            return new CreatableStarRating(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("d37f9d4f-d641-a28c-fbae-0afda6dc64f0"); 
               
        

}

}
/*
	Name	 		: ServiceManager.ReleaseManagement.Library	
	Id 				: 8870d61a-5d30-bb34-6827-ca764849a888
	Description 	: Service Manager Release Management Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public partial class CreatableReleaseGeneralSetting : CreatableEnterpriseManagementObject
{

        public CreatableReleaseGeneralSetting(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableReleaseGeneralSetting Create() 
        {
            return new CreatableReleaseGeneralSetting(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("6712c1b4-295c-1ac7-4726-d671f31ec4f4"); 
               
        

}



public partial class CreatableReleaseRecordInternalworkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableReleaseRecordInternalworkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableReleaseRecordInternalworkflowtarget Create() 
        {
            return new CreatableReleaseRecordInternalworkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("1dbc28e4-0734-4cd0-8429-b53c7b0e6b82"); 
               
        

}



public partial class CreatableReleaseRecordWorkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableReleaseRecordWorkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableReleaseRecordWorkflowtarget Create() 
        {
            return new CreatableReleaseRecordWorkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("79aead16-7159-77b3-8815-342b1e310c6b"); 
               
        

}

}
/*
	Name	 		: ServiceManager.ServiceRequest.Library	
	Id 				: b9bfce1c-7458-ab60-65fb-6492446d7261
	Description 	: Service Manager Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class CreatableGlobalsettingServiceRequestsettings : CreatableEnterpriseManagementObject
{

        public CreatableGlobalsettingServiceRequestsettings(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableGlobalsettingServiceRequestsettings Create() 
        {
            return new CreatableGlobalsettingServiceRequestsettings(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("fa662352-1660-33ae-6316-7fe1c9fecc6d"); 
               
        

}



public partial class CreatableServiceRequestInternalworkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableServiceRequestInternalworkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceRequestInternalworkflowtarget Create() 
        {
            return new CreatableServiceRequestInternalworkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ff63565d-f2ec-9977-b231-4d33db6eff98"); 
               
        

}



public partial class CreatableServiceRequestWorkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableServiceRequestWorkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceRequestWorkflowtarget Create() 
        {
            return new CreatableServiceRequestWorkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("909e18d9-7de2-fcd9-8896-0a742a6bd158"); 
               
        

}

}
/*
	Name	 		: System.ServiceCatalog.Library	
	Id 				: 4eafa3dd-ccc9-ff17-8285-63756cf8a34b
	Description 	: System Service Catalog Library
*/
namespace Savviety.ServiceManager.API.ServiceCatalog 
{



public partial class CreatableRequestOffering : CreatableEnterpriseManagementObject
{

        public CreatableRequestOffering(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableRequestOffering Create() 
        {
            return new CreatableRequestOffering(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("8fc1cd4a-b39e-2879-2ba8-b7036f9d8ee7"); 
               
        

}



public partial class CreatableServiceOffering : CreatableEnterpriseManagementObject
{

        public CreatableServiceOffering(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableServiceOffering Create() 
        {
            return new CreatableServiceOffering(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("2c40c623-a0df-7166-9e9a-2f869fb4d93f"); 
               
        

}



public partial class CreatableActivityPublishActivity : CreatableEnterpriseManagementObject
{

        public CreatableActivityPublishActivity(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityPublishActivity Create() 
        {
            return new CreatableActivityPublishActivity(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ab95b623-1611-5d8a-9a70-2d66076941fc"); 
               
        

}

}
/*
	Name	 		: ServiceManager.ActivityManagement.Library	
	Id 				: 7b8d32db-bdb4-cabf-b947-c013c0e00baa
	Description 	: Service Manager Activity Management Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public partial class CreatableActivityGeneralSetting : CreatableEnterpriseManagementObject
{

        public CreatableActivityGeneralSetting(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityGeneralSetting Create() 
        {
            return new CreatableActivityGeneralSetting(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("5e04a50d-01d1-6fce-7946-15580aa8681d"); 
               
        

}



public partial class CreatableActivityInternalworkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableActivityInternalworkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableActivityInternalworkflowtarget Create() 
        {
            return new CreatableActivityInternalworkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("2ed5abbb-c0b8-7622-dab6-7d792c212f54"); 
               
        

}

}
/*
	Name	 		: ServiceManager.ChangeManagement.Library	
	Id 				: 2bf6413b-bb6c-1108-d33a-152c9d1db56b
	Description 	: Service Manager Change Management Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public partial class CreatableChangeRequestGeneralSetting : CreatableEnterpriseManagementObject
{

        public CreatableChangeRequestGeneralSetting(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableChangeRequestGeneralSetting Create() 
        {
            return new CreatableChangeRequestGeneralSetting(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("c7fe33bb-9760-3f88-59fc-0951e3221be4"); 
               
        

}



public partial class CreatableChangeRequestInternalworkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableChangeRequestInternalworkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableChangeRequestInternalworkflowtarget Create() 
        {
            return new CreatableChangeRequestInternalworkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("901b03db-7894-5da5-0203-8d91d61a609f"); 
               
        

}



public partial class CreatableChangeRequestWorkflowtarget : CreatableEnterpriseManagementObject
{

        public CreatableChangeRequestWorkflowtarget(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableChangeRequestWorkflowtarget Create() 
        {
            return new CreatableChangeRequestWorkflowtarget(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("35e63a37-d49e-9480-eb00-d80cf08e099f"); 
               
        

}

}
/*
	Name	 		: System.Notifications.Library	
	Id 				: 8e02a0aa-04b1-812b-6ab5-1c12e3288e99
	Description 	: System Notification Library: This Management Pack contains the definitions that are specific to Notifications.
*/
namespace System.Notifications.Library 
{



public partial class CreatableNotificationChannelSIP : CreatableEnterpriseManagementObject
{

        public CreatableNotificationChannelSIP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationChannelSIP Create() 
        {
            return new CreatableNotificationChannelSIP(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("24b10896-60bc-fb41-fb61-17afe010b1a0"); 
               
        

}



public partial class CreatableNotificationChannelSMS : CreatableEnterpriseManagementObject
{

        public CreatableNotificationChannelSMS(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationChannelSMS Create() 
        {
            return new CreatableNotificationChannelSMS(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("eaa253d6-bdae-7762-0399-e066e2463d4e"); 
               
        

}



public partial class CreatableNotificationChannelSMTP : CreatableEnterpriseManagementObject
{

        public CreatableNotificationChannelSMTP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationChannelSMTP Create() 
        {
            return new CreatableNotificationChannelSMTP(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("ab15d533-0d6f-190c-d682-6b16534164ab"); 
               
        

}



public partial class CreatableNotificationEndpoint : CreatableEnterpriseManagementObject
{

        public CreatableNotificationEndpoint(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationEndpoint Create() 
        {
            return new CreatableNotificationEndpoint(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("c08e20e3-c0fe-66b8-8c12-bcc1f3f11d5d"); 
               
        

}



public partial class CreatableNotificationSipconfigurationsource : CreatableEnterpriseManagementObject
{

        public CreatableNotificationSipconfigurationsource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationSipconfigurationsource Create() 
        {
            return new CreatableNotificationSipconfigurationsource(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("c6d9a0e6-8997-9958-82ba-23d358dfd198"); 
               
        

}



public partial class CreatableNotificationSmtpconfigurationsource : CreatableEnterpriseManagementObject
{

        public CreatableNotificationSmtpconfigurationsource(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationSmtpconfigurationsource Create() 
        {
            return new CreatableNotificationSmtpconfigurationsource(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("d928b34e-7b52-2a2a-d100-74cb58eb365a"); 
               
        

}



public partial class CreatableNotificationTemplateSIP : CreatableEnterpriseManagementObject
{

        public CreatableNotificationTemplateSIP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationTemplateSIP Create() 
        {
            return new CreatableNotificationTemplateSIP(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("a187e3fc-9cc9-e357-b749-a6d8f58860a2"); 
               
        

}



public partial class CreatableNotificationTemplateSMS : CreatableEnterpriseManagementObject
{

        public CreatableNotificationTemplateSMS(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationTemplateSMS Create() 
        {
            return new CreatableNotificationTemplateSMS(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("385113d5-dd89-046d-827f-40d3af7f255c"); 
               
        

}



public partial class CreatableNotificationTemplateSMTP : CreatableEnterpriseManagementObject
{

        public CreatableNotificationTemplateSMTP(EnterpriseManagementGroup group, ManagementPackClass @class) : base(group,@class)
		{
      
		}    
         
		public static CreatableNotificationTemplateSMTP Create() 
        {
            return new CreatableNotificationTemplateSMTP(Context.CurrentManagementGroup, @class);
        }

		private static ManagementPackClass @class = Context.GetClass("0814d9a7-8332-a5df-2ec8-34d07f3d40db"); 
               
        

}

}
